> ## Documentation Index
> Fetch the complete documentation index at: https://docs.health-street.net/llms.txt
> Use this file to discover all available pages before exploring further.

# List OrderItem

> Retrieve a list of OrderItems



## OpenAPI

````yaml get /v2/action/glasscore/orderitem
openapi: 3.1.0
info:
  version: 2.0.0
  title: Health Street API
  description: >-
    The Health Street API provides secure and reliable endpoints to manage drug
    tests, background checks, DNA checks, and occupational health tests.
servers:
  - url: https://api.glass.fm
security: []
paths:
  /v2/action/glasscore/orderitem:
    get:
      tags:
        - OrderItem
      summary: List OrderItem
      description: Retrieve a list of OrderItems
      operationId: ListOrderItem
      parameters:
        - $ref: '#/components/parameters/return'
        - $ref: '#/components/parameters/isAdditionalData'
      responses:
        '200':
          description: A list of OrderItems
          content:
            application/json:
              schema:
                type: object
                properties:
                  c_currentStatusCodeId:
                    type: string
                    description: >-
                      Represents the unique identifier for the current status of
                      an order item.
                  c_currentStatusCodeName:
                    type: string
                    description: >-
                      Represents the current status of an order item such as
                      'pending', 'shipped', 'delivered', etc.
                  c_org:
                    type: string
                    description: >-
                      Represents the organization associated with a particular
                      order item.
                  c_personNameFirst:
                    type: string
                    description: Stores the first name of the person who placed the order.
                  c_personNameLast:
                    type: string
                    description: >-
                      Stores the last name of the individual who placed the
                      order.
                  c_productName:
                    type: string
                    description: >-
                      Stores the name of the product associated with each order
                      item.
                  CreationTimestamp:
                    anyOf:
                      - type: string
                      - type: string
                    description: Timestamp of record creation.
                  CurrentStatusId:
                    type: number
                    nullable: true
                    description: >-
                      Represents the unique identifier of the current status of
                      an item in an order.
                  id:
                    type: number
                    description: Unique identifier.
                  isNotModifiable:
                    type: boolean
                    nullable: true
                    description: Indicates whether the order item can be changed or not.
                  orderedBy:
                    type: string
                    description: Indicates the customer who placed the order for the item.
                  OrgId:
                    type: number
                    nullable: true
                    description: >-
                      Represents the unique identifier for the organization
                      associated with a specific order item.
                  Parent~OrderItemId:
                    type: number
                    nullable: true
                    description: >-
                      Represents the unique identifier of the parent order item
                      in the OrderItem table.
                  Passport~OrderItemId:
                    type: number
                    nullable: true
                    description: >-
                      Represents the unique identifier of an order item
                      associated with a passport.
                  PersonId:
                    type: number
                    description: Unique identifier for the individual who placed the order.
                  ProductId:
                    type: number
                    description: >-
                      Unique identifier for the specific product associated with
                      an order item.
                required:
                  - c_currentStatusCodeId
                  - c_currentStatusCodeName
                  - c_org
                  - c_personNameFirst
                  - c_personNameLast
                  - c_productName
                  - CreationTimestamp
                  - CurrentStatusId
                  - id
                  - isNotModifiable
                  - orderedBy
                  - OrgId
                  - Parent~OrderItemId
                  - Passport~OrderItemId
                  - PersonId
                  - ProductId
components:
  parameters:
    return:
      schema:
        $ref: '#/components/schemas/return'
      required: false
      name: return
      in: query
    isAdditionalData:
      schema:
        $ref: '#/components/schemas/isAdditionalData'
      required: false
      name: isAdditionalData
      in: query
  schemas:
    return:
      type: string
      description: >-
        Comma-separated list of specific fields to return/append in the
        response. See `isAdditionalData` for more details.
      example: id,nameFirst,nameLast
    isAdditionalData:
      type: boolean
      description: >-
        Set to `true` to merge requested fields with default response, or
        false/omit to return only requested fields plus `ID`.
      example: true

````